EDIT - bug #8381

Closing the details view throws widget is disposed exception
07/17/2019 05:59 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal Found in Version:

Description

steps to reproduce:

1. Open editor
2. Connect
3. Open a taxon

4. Close details view

Note: The exception is not propagated to the Ul but can be seen in the log.

!ENTRY eu.taxeditor 1 0 2019-07-17 17:56:50.871

IMESSAGE Notifying context listeners, that the context has started.

2019-07-17 17:57:03,881 ERROR [eu.etaxonomy.taxeditor.ui.element.SelectionArbitrator] - Widgets of
element are disposed

org.eclipse.swt.SWITException: Widget is disposed
widgets.RunnableLock.run (RunnableLock. java:35)

.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

widgets.Display.runAsyncMessages (Display. java:4536)

.widgets.Display.readAndDispatch (Display. java:4154)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)

History

#2 - 07/17/2019 06:00 PM - Patrick Plitzner
- Description updated

#3 - 12/03/2019 12:50 PM - Katja Luther

- Assignee changed from Patrick Plitzner to Katja Luther

#4 - 11/14/2022 03:34 PM - Andreas Miiller
- Tags set to fast

- Target version changed from Unassigned CDM tickets to Release 5.35

Is this still an open issue? If yes it is probably fast to fix?

#5 - 12/16/2022 02:52 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

#6 - 12/20/2022 12:52 PM - Andreas Miiller
- Priority changed from New to Priority13

#7 - 12/21/2022 02:21 PM - Katja Luther

- Status changed from Resolved to Closed

This exception is thrown by our own code, so | remove the try catch because then the WidgetlsDisposedExcpetion will be handled.
